# Generated by Django 2.0.5 on 2020-03-12 07:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [("document", "0037_auto_20200305_1016")]
    project_management_default = """
    Project management is included with this project to ensure communication, delivery, and customer satisfaction. Project management includes the following:
    * Project kick off
    * Planning
    * Project status meetings
    * Issue Resolution
    * Project communications
    * Ensure delivery of project documentation
    **Change Management**
    It may become necessary to amend this Statement of Work for reasons including, but not limited to the following:
    * Changes to the project schedule or scope
    * Environmental or architectural impediments not previously identified
    * Lack of access to personnel or facilities necessary to complete project
    In the event it is necessary to change this Statement of Work, the process outlined below will be followed
    and additional work will not be included with this statement of work until the change request is approved
    and signed by the client.
    * A change request will be created to communicate the change and any associated cost where applicable
    * The change request will describe the change, the reasons for the change, and the effect the change will have on the project
    """
    t_and_m_terms_default = """"
    * Weekly billing of actual hours based on rates section.
    * All invoices are due within 30 days.
    * 2-hour minimum for remote work.
    * 8-hour minimum onsite per scheduled engineer engagement.
    * Service hours below are estimated and do not constitute a not to exceed.
    * Any Travel time and expenses will be billed to Customer. This includes but not limited to: Accommodations, Flights, Transportation, and Meals.
    * Scheduling changes or service cancellations with less than 48 hour notice are subject to a 4 hour minimum bill.
    * When scope is expanded, resources are subject to availability.
    * This engagement is entered into on the specified date below by LookingPoint and Tanium pursuant to the terms of the Master Services Agreement which is herein incorporated by this reference. In the event of a conflict between any terms of the Master Services Agreement and terms of this document, the applicable terms of this document shall control.
    """

    fixed_fee_terms_default = """
    It may become necessary to amend this Statement of Work for reasons including, but not limited to the following:
    * All invoices are due within 30 days.
        * Upon receiving signed Purchase Order 50% will be billed.
        * Upon completion of this project the remaining 50% will be billed.
    * Anything not detailed in the "Project Description" is deemed out of scope.
    * Any Onsite services need to be scheduled with the LookingPoint Project Manager that will be assigned to this Statement of Work (SoW).
    * Changes to an agreed schedule are subject to the change management which may increase cost.
    * Travel will be billed on actuals which includes Accommodations, Flights, Transportation, and Meals.
    * This project is entered into on the specified date below by LookingPoint and Edmonds School District pursuant to the terms of the Master Services Agreement which is herein incorporated by this reference. In the event of a conflict between any terms of the Master Services Agreement and terms of this Statement of Work (SoW), the applicable terms of this SoW shall control.
    """
    operations = [
        migrations.AddField(
            model_name="sowdocumentsettings",
            name="project_management_fixed_fee",
            field=models.TextField(default=project_management_default),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="sowdocumentsettings",
            name="project_management_t_and_m",
            field=models.TextField(default=project_management_default),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="sowdocumentsettings",
            name="terms_fixed_fee",
            field=models.TextField(default=fixed_fee_terms_default),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="sowdocumentsettings",
            name="terms_t_and_m",
            field=models.TextField(default=t_and_m_terms_default),
            preserve_default=False,
        ),
    ]
